Package org.jboss.logging.processor.model

## Interface DelegatingElement

All Superinterfaces:
  `javax.lang.model.AnnotatedConstruct`, `javax.lang.model.element.Element`

All Known Subinterfaces:
  `DelegatingExecutableElement`, `DelegatingTypeElement`, `MessageInterface`, `MessageMethod`, `Parameter`, `ReturnType`, `ThrowableType`

    public interface DelegatingElement
    extends javax.lang.model.element.Element

A delegating `Element` interface. All methods are invoked on the delegate element by default.

Author:
  James R. Perkins

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default <R,​P> R` `accept​(javax.lang.model.element.ElementVisitor<R,​P> v, P p)`
`default javax.lang.model.type.TypeMirror` `asType()`
`default <A extends java.lang.annotation.Annotation> A` `getAnnotation​(java.lang.Class<A> annotationType)`
`default java.util.List<? extends javax.lang.model.element.AnnotationMirror>` `getAnnotationMirrors()`
`default <A extends java.lang.annotation.Annotation> A[]` `getAnnotationsByType​(java.lang.Class<A> annotationType)`
`javax.lang.model.element.Element` `getDelegate()` The element to delegate the default methods to.
`default java.util.List<? extends javax.lang.model.element.Element>` `getEnclosedElements()`
`default javax.lang.model.element.Element` `getEnclosingElement()`
`default javax.lang.model.element.ElementKind` `getKind()`
`default java.util.Set<javax.lang.model.element.Modifier>` `getModifiers()`
`default javax.lang.model.element.Name` `getSimpleName()`
`default boolean` `isAnnotatedWith​(java.lang.Class<? extends java.lang.annotation.Annotation> annotation)` Checks whether or not the annotation is present on the element.

### Methods inherited from interface javax.lang.model.element.Element

`equals, hashCode`

### Method Detail

#### getDelegate

    javax.lang.model.element.Element getDelegate()

The element to delegate the default methods to.

Returns:
  the delegate

#### asType

    default javax.lang.model.type.TypeMirror asType()

Specified by:
  `asType` in interface `javax.lang.model.element.Element`

#### getKind

    default javax.lang.model.element.ElementKind getKind()

Specified by:
  `getKind` in interface `javax.lang.model.element.Element`

#### getModifiers

    default java.util.Set<javax.lang.model.element.Modifier> getModifiers()

Specified by:
  `getModifiers` in interface `javax.lang.model.element.Element`

#### getSimpleName

    default javax.lang.model.element.Name getSimpleName()

Specified by:
  `getSimpleName` in interface `javax.lang.model.element.Element`

#### getEnclosingElement

    default javax.lang.model.element.Element getEnclosingElement()

Specified by:
  `getEnclosingElement` in interface `javax.lang.model.element.Element`

#### getEnclosedElements

    default java.util.List<? extends javax.lang.model.element.Element> getEnclosedElements()

Specified by:
  `getEnclosedElements` in interface `javax.lang.model.element.Element`

#### getAnnotation

    default <A extends java.lang.annotation.Annotation> A getAnnotation​(java.lang.Class<A> annotationType)

Specified by:
  `getAnnotation` in interface `javax.lang.model.AnnotatedConstruct`
Specified by:
  `getAnnotation` in interface `javax.lang.model.element.Element`

#### getAnnotationMirrors

    default java.util.List<? extends javax.lang.model.element.AnnotationMirror> getAnnotationMirrors()

Specified by:
  `getAnnotationMirrors` in interface `javax.lang.model.AnnotatedConstruct`
Specified by:
  `getAnnotationMirrors` in interface `javax.lang.model.element.Element`

#### accept

    default <R,​P> R accept​(javax.lang.model.element.ElementVisitor<R,​P> v,
                                 P p)

Specified by:
  `accept` in interface `javax.lang.model.element.Element`

#### getAnnotationsByType

    default <A extends java.lang.annotation.Annotation> A[] getAnnotationsByType​(java.lang.Class<A> annotationType)

Specified by:
  `getAnnotationsByType` in interface `javax.lang.model.AnnotatedConstruct`

#### isAnnotatedWith

    default boolean isAnnotatedWith​(java.lang.Class<? extends java.lang.annotation.Annotation> annotation)

Checks whether or not the annotation is present on the element.

Parameters:
  `annotation` - the annotation to check for
Returns:
  `true` if the annotation is present, otherwise `false`